/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once

#include "Actor.hpp"

#include <string>

#include <hgecolor.h>
#include <hgefont.h>

namespace hny {

	class Text 
		:public Actor {
	public:
		Text(World* world, const std::string& str, const hgeVector& pos, 
			const hgeColor& col = hgeColor(1.0f, 1.0f, 1.0f, 1.0f), 
			float life = 2.0f, 
			float scale = 1.0f);
		virtual ~Text();

		virtual void Update(float dt);
		virtual void Draw();

	private:
		std::string mString;
		float mLife;
		float mAge;
		hgeColor mColor;
		float mScale;

		hgeFont* mFont;

	};
}